2018-09-21 04:50 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002663FSSCPHUDpublic2012-07-01 21:15
ReporterMjnMixael 
Assigned ToCommanderDJ 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.14 RC5 
Target VersionFixed in Version 
Summary0002663: hud-set-color only works once per mission
DescriptionWhat the topic says..

If I set the color of a gauge at any time in the mission, I can't change it later. Ever.
Steps To ReproducePlay the test mission on retail assets.
TagsNo tags attached.
Attached Files
  • 7z file icon ColorTest.7z (33,959 bytes) 2012-06-08 00:24
  • patch file icon mantis_2663.patch (392 bytes) 2012-06-08 10:28 -
    Index: code/parse/sexp.cpp
    ===================================================================
    --- code/parse/sexp.cpp	(revision 8845)
    +++ code/parse/sexp.cpp	(working copy)
    @@ -9515,6 +9515,7 @@
     
     	HudGauge* cg = hud_get_gauge(gaugename);
     	if(cg) {
    +		cg->sexpLockConfigColor(false);
     		cg->updateColor(red, green, blue, (HUD_color_alpha+1)*16);
     		cg->sexpLockConfigColor(true);
     	}
    
    patch file icon mantis_2663.patch (392 bytes) 2012-06-08 10:28 +

-Relationships
+Relationships

-Notes

~0013639

CommanderDJ (developer)

Fix uploaded. Tested by both MjnMixael and myself.

~0013640

The_E (administrator)

Fix committed to trunk@8847.

~0013764

Zacam (administrator)

Fix committed to fs2_open_3_6_14@8949.
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2012-06-08 00:24 MjnMixael New Issue
2012-06-08 00:24 MjnMixael File Added: ColorTest.7z
2012-06-08 10:24 CommanderDJ Assigned To => CommanderDJ
2012-06-08 10:24 CommanderDJ Status new => assigned
2012-06-08 10:28 CommanderDJ File Added: mantis_2663.patch
2012-06-08 10:37 CommanderDJ Note Added: 0013639
2012-06-08 10:37 CommanderDJ Status assigned => code review
2012-06-08 10:45 The_E Changeset attached => fs2open trunk r8847
2012-06-08 10:45 The_E Note Added: 0013640
2012-06-08 10:45 The_E Status code review => resolved
2012-06-08 10:45 The_E Resolution open => fixed
2012-07-01 21:15 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8949
2012-07-01 21:15 Zacam Note Added: 0013764
+Issue History